﻿using System.Collections.Generic;

namespace SiteDownPinger
{
   public class SiteDownInfo
   {
      public List<Incident> Incidents { get; set; }
      public int Updated { get; set; }
      public bool SiteDown { get; set; }

      public bool HasNewSiteDowns()
      {
         if(Incidents != null)
         {
            if(Incidents.Count > 0)
            {
               foreach(Incident incident in Incidents)
               {
                  if (incident.UpdateToExisting == false)
                  {
                     return true;
                  }
               }
            }
         }
         return false;
      }
   }

}
