﻿using System.Net;
using System.IO;
using Newtonsoft.Json;

namespace SiteDownPinger
{
   public class SiteDownChecker
   {

      public SiteDownInfo CheckSiteDowns()
      {
         string URI = SitePingerAddin.GlobalContext.InterfaceURL + "/custom/SiteDownMonitor.php?sid=" + SitePingerAddin.GlobalContext.SessionId;
         HttpWebRequest httpWebRequest = (HttpWebRequest)WebRequest.Create(URI);
         httpWebRequest.UserAgent = "SDM";

         WebResponse webResponse = httpWebRequest.GetResponse();

         StreamReader streamReader = new StreamReader(webResponse.GetResponseStream());
         string responseText = streamReader.ReadToEnd();

         SiteDownInfo siteDownInfo = JsonConvert.DeserializeObject<SiteDownInfo>(responseText);

         return siteDownInfo;
      }

   }
}
